Altair SLC Hub Authentication and Identity (2027.1.0)

Download OpenAPI specification:

getCurrentUser

Returns the user entity corresponding to the requesting user.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

changeMyPassword

Changes the password for the calling user.

Authorizations:
bearerAuth
Request Body schema: application/json
currentPassword
required
string
newPassword
required
string

Responses

Request samples

Content type
application/json
{
  • "currentPassword": "string",
  • "newPassword": "string"
}

Response samples

Content type
application/json
{
  • "msg": "string"
}

Sets the OS password for the calling user

Authorizations:
bearerAuth
Request Body schema: application/json
required
password
required
string

Responses

Request samples

Content type
application/json
{
  • "password": "string"
}

Check if user has a OS password configured

Authorizations:
bearerAuth

Responses

Clears the OS password for the calling user

Authorizations:
bearerAuth

Responses

queryUsers

Queries current user instances

Authorizations:
bearerAuth
query Parameters
filter[_id][IN]
Array of strings
filter[search][EQ]
string
filter[search][CO]
string
filter[search][SW]
string
filter[userName][EQ]
string
filter[enabled][EQ]
boolean
filter[invitationPending][EQ]
boolean
page[offset]
integer
page[limit]
integer

Responses

Response samples

Content type
application/json
{
  • "totalCount": 0,
  • "data": [
    ]
}

createUser

Creates a new user entity.

Authorizations:
bearerAuth
Request Body schema: application/json
required
_id
string
externalId
string
system
boolean
userName
required
string
firstName
string
lastName
string
displayName
string
enabled
boolean
email
string
unixHomeDirectory
string
unixUserName
string
userPrincipalName
string
invitationPending
boolean
_created
string <date-time>
password
required
string
mustChange
boolean

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z",
  • "password": "string",
  • "mustChange": true
}

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

getUser

Returns a specific user by unique ID

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

putUser

Updates the definition of a user

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Request Body schema: application/json
required
_id
string
externalId
string
system
boolean
userName
required
string
firstName
string
lastName
string
displayName
string
enabled
boolean
email
string
unixHomeDirectory
string
unixUserName
string
userPrincipalName
string
invitationPending
boolean
_created
string <date-time>

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

patchUser

Updates the definition of a user using JSON Patch.

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Request Body schema: application/json-patch+json
required
Array
op
required
string
Enum: "add" "remove" "replace"

The operation to be performed

path
required
string

A JSON-Pointer

value
any

The value to be used within the operations.

Responses

Request samples

Content type
application/json-patch+json
[
  • {
    }
]

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "enabled": true,
  • "email": "string",
  • "unixHomeDirectory": "string",
  • "unixUserName": "string",
  • "userPrincipalName": "string",
  • "invitationPending": true,
  • "_created": "2019-08-24T14:15:22Z"
}

deleteUser

Deletes a specific user identified by the unique ID.

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Responses

Response samples

Content type
application/json
{
  • "msg": "string"
}

getUserGroups

Returns the list of groups of which the user is a member

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Responses

Response samples

Content type
application/json
[
  • {
    }
]

setUserPassword

Sets the password for the user.

Authorizations:
bearerAuth
path Parameters
userId
required
string

Internal unique ID of the user

Request Body schema: application/json
required
password
required
string
mustChange
boolean

Responses

Request samples

Content type
application/json
{
  • "password": "string",
  • "mustChange": true
}

Response samples

Content type
application/json
{
  • "msg": "string"
}

queryGroups

Queries current group instances

Authorizations:
bearerAuth
query Parameters
filter[_id][IN]
Array of strings
filter[search][EQ]
string
filter[search][CO]
string
filter[search][SW]
string
filter[externalId][PR]
boolean
page[offset]
integer
page[limit]
integer

Responses

Response samples

Content type
application/json
{
  • "totalCount": 0,
  • "data": [
    ]
}

createGroup

Creates a new group entity.

Authorizations:
bearerAuth
Request Body schema: application/json
required
_id
string
externalId
string
system
boolean
name
string

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

getGroup

Returns a specific group by unique ID

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

putGroup

Replaces the definition of a group

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

Request Body schema: application/json
required
_id
string
externalId
string
system
boolean
name
string

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

patchGroup

Updates the definition of a group using JSON Patch.

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

Request Body schema: application/json-patch+json
required
Array
op
required
string
Enum: "add" "remove" "replace"

The operation to be performed

path
required
string

A JSON-Pointer

value
any

The value to be used within the operations.

Responses

Request samples

Content type
application/json-patch+json
[
  • {
    }
]

Response samples

Content type
application/json
{
  • "_id": "string",
  • "externalId": "string",
  • "system": true,
  • "name": "string"
}

deleteGroup

Deletes a specific group by ID

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

Responses

Response samples

Content type
application/json
{
  • "msg": "string"
}

getGroupMembers

Returns the list of members of the group.

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

query Parameters
filter[membershipType][EQ]
string (membershipType)
Enum: "direct" "indirect"
filter[principalType][EQ]
string (principalType)
Enum: "User" "Group"

Responses

Response samples

Content type
application/json
[
  • {
    }
]

modifyGroupMembers

Modifies the group membership list

Authorizations:
bearerAuth
path Parameters
groupId
required
string

Internal unique ID of the group

Request Body schema: application/json
Array
op
required
string
Enum: "add" "remove"
id
string
principalType
string (principalType)
Enum: "User" "Group"
name
string

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Response samples

Content type
application/json
{
  • "msg": "string"
}

queryPrincipals

Queries current principal instances

Authorizations:
bearerAuth
query Parameters
filter[_id][IN]
Array of strings
filter[_type][EQ]
string (principalType)
Enum: "User" "Group"
filter[search][EQ]
string
filter[search][CO]
string
filter[search][SW]
string
filter[enabled][EQ]
boolean
page[offset]
integer
page[limit]
integer

Responses

Response samples

Content type
application/json
{
  • "totalCount": 0,
  • "data": [
    ]
}

getPrincipal

Returns a specific principal by ID

Authorizations:
bearerAuth
path Parameters
principalId
required
string

Responses

Response samples

Content type
application/json
{
  • "_type": "User",
  • "_id": "string",
  • "displayName": "string",
  • "name": "string",
  • "external": true,
  • "system": true
}

getPrincipalGroups

Returns the list of groups that a principal is a member of

Authorizations:
bearerAuth
path Parameters
principalId
required
string
query Parameters
filter[membershipType][EQ]
string (membershipType)
Enum: "direct" "indirect"

Responses

Response samples

Content type
application/json
[
  • {
    }
]

createUserInvitation

Authorizations:
bearerAuth
Request Body schema: application/json
userName
required
string
firstName
string
lastName
string
displayName
string
email
required
string

Responses

Request samples

Content type
application/json
{
  • "userName": "string",
  • "firstName": "string",
  • "lastName": "string",
  • "displayName": "string",
  • "email": "string"
}

resendInvitationEmail

Authorizations:
bearerAuth
Request Body schema: application/json
userId
required
string

Responses

Request samples

Content type
application/json
{
  • "userId": "string"
}

Response samples

Content type
application/json
{
  • "msg": "string"
}

createPasswordResetToken

Request Body schema: application/json
emailOrUserName
required
string

Responses

Request samples

Content type
application/json
{
  • "emailOrUserName": "string"
}

describePasswordPolicy

Returns a description of the password policy that a users password has to comply with.
Intended to be formatted and displayed to the user when changing their password for example.

Responses

Response samples

Content type
application/json
[
  • "string"
]

describeUsernamePolicy

Returns the username length constraints. Intended to be displayed to and enforced on the user when creating a new user.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "minLength": 0,
  • "maxLength": 0
}

Clears saved OS passwords for all users

Authorizations:
bearerAuth

Responses

passwordLogin

Performs password-based login.

Authorizations:
bearerAuth
Request Body schema: application/json
username
required
string
password
required
string

Responses

Request samples

Content type
application/json
{
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "token": "string",
  • "expiresIn": 0
}

getConfig

Returns configuration settings for the auth server

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "osPasswordsEnabled": true,
  • "osPasswordsRequired": true,
  • "osPasswordsAllowSaving": true
}